Package org.apache.sling.feature.cpconverter.artifacts

## Class InputStreamArtifactWriter

- java.lang.Object
- - org.apache.sling.feature.cpconverter.artifacts.InputStreamArtifactWriter

All Implemented Interfaces:
  `ArtifactWriter`

    public class InputStreamArtifactWriter
    extends Object
    implements ArtifactWriter

### Constructor Summary

Constructors
`InputStreamArtifactWriter​(@NotNull InputStream input)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `write​(@NotNull OutputStream output)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InputStreamArtifactWriter

    public InputStreamArtifactWriter​(@NotNull
                                     @NotNull InputStream input)

### Method Detail

#### write

    public void write​(@NotNull
                      @NotNull OutputStream output)
               throws IOException

Specified by:
  `write` in interface `ArtifactWriter`
Throws:
  `IOException`